You are not logged in.

#1 2011-12-20 22:55:37

Kruppt
Moderator
From: Blue Ridge Mountains, NC
Registered: 2010-12-20
Posts: 299

News: filesystem upgrade - manual intervention required

http://www.archlinux.org/news/filesyste … -required/

News: filesystem upgrade - manual intervention required

2011-12-20 - Tom Gundersen

When upgrading to filesystem-2011.12 there will be a conflict with /etc/mtab.

Install the package as follows:

# pacman -S filesystem --force

It is strongly advised to avoid the --force or -f switch as it is not safe. However, in this particular case it is needed as deleting /etc/mtab manually would break pacman.

The reason for the conflict is that the file used to be generated at boot and hence not owned by any package. Now it is a symlink to /proc/self/mounts owned by filesystem. This change means that initscripts no longer requires write access to the rootfs (though other packages might).

Edit by Mr Green

Offline

#2 2011-12-21 03:23:51

pablokal
Administrator
From: Nijmegen, Holland
Registered: 2010-10-12
Posts: 3,206
Website

Re: News: filesystem upgrade - manual intervention required

Thanks for the warning.
Suggestion: do this right away before you forget about this.
Don't forget to

#pacman -Syy

first.


Getting your questions answered here at ArchBang Forums
Please! Always give hardware info, if there is a chance that 's relevant: #lspci -vnn
On Arch(bang) and Openbox: http://stillstup.blogspot.com/

Offline

#3 2011-12-21 06:13:18

Mr Green
^! Developer
Registered: 2010-11-07
Posts: 5,388

Re: News: filesystem upgrade - manual intervention required

Job done thanks for heads up


"Have done an install of archbang while on a bus"

Offline

Board footer

Powered by FluxBB